Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.persistence
Class HibernateSessionProxyInterceptor

    java.lang.Object
      org.jboss.seam.intercept.AbstractInterceptor
          org.jboss.seam.persistence.HibernateSessionProxyInterceptor

All Implemented Interfaces:
  Serializable, OptimizedInterceptor

    @Interceptor(stateless=true)
    public class HibernateSessionProxyInterceptor

extends AbstractInterceptor

Proxy the Hibernate Session if injected using @PersistenceContext

Author:
  Pete Muir
See Also:
  Serialized Form

Constructor Summary
`HibernateSessionProxyInterceptor()`

Method Summary
`Object` | `aroundInvoke(InvocationContext ic)`
`boolean` | `isInterceptorEnabled()` Returns true if this interceptor should be enabled.
`void` | `postActivate(InvocationContext invocation)`
`void` | `postConstruct(InvocationContext invocation)`

Methods inherited from class org.jboss.seam.intercept.AbstractInterceptor
`getComponent, setComponent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateSessionProxyInterceptor

    public HibernateSessionProxyInterceptor()

Method Detail

### aroundInvoke

    @AroundInvoke
    public Object aroundInvoke(InvocationContext ic)
                        throws Exception

  Throws:
    `Exception`

### postActivate

    @PostActivate
    public void postActivate(InvocationContext invocation)
                      throws Exception

  Throws:
    `Exception`

### postConstruct

    @PostConstruct
    public void postConstruct(InvocationContext invocation)
                       throws Exception

  Throws:
    `Exception`

### isInterceptorEnabled

    public boolean isInterceptorEnabled()

  Description copied from interface: `OptimizedInterceptor`
  Returns true if this interceptor should be enabled. The component and the annotation will be injected into the interceptor instance before this method is called, and can be used to decide whether the interceptor should be enabled

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.